
%define 	module	pyparsing

Summary:	pyparsing - a Python module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona umożliwiający tworzenie i parsowanie prostych gramatyk
Name:		python-%{module}
Version:	2.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pyparsing/%{module}-%{version}.tar.gz
# Source0-md5:	37adec94104b98591507218bc82e7c31
URL:		http://pyparsing.sourceforge.net/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package doc
Summary:	Documentation for pyparsing module
Summary(pl.UTF-8):	Dokumentacja do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pyparsing Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyparsing.

%package examples
Summary:	Examples for pyparsing module
Summary(pl.UTF-8):	Przykłady do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyparsing Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyparsing.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{py_sitescriptdir}/pyparsing.py[co]
%{py_sitescriptdir}/pyparsing-*.egg-info

%files doc
%defattr(644,root,root,755)
%doc HowToUsePyparsing.html htmldoc pyparsingClassDiagram.{JPG,PNG}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Oct 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyparsing.git;a=log;h=master

* Mon Oct 07 2013 Mateusz Korniak <matkor@pld-linux.org> 21d49c0
- Version 2.0.1-1.

* Fri Dec 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 82d465d
- updated to 1.5.5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf9bccb
- release 2

* Fri Dec 26 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 5981dfe
- updated to 1.5.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba1b770
- release 2

* Fri May 25 2007 beorn <beorn@pld-linux.org> ecb2c6c
- up to 1.4.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4c41b8a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd64dee
- converted to UTF-8

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 60e8197
- updated to 1.4.5
- added .egg-info for python 2.5

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 8d905dd
- updated to 1.3.3

* Mon Jun 27 2005 saq <saq@pld-linux.org> 5396d9c
- up to 1.3

* Sun Dec 26 2004 saq <saq@pld-linux.org> c00b69a
- strict python deps, release 2

* Sat Dec 18 2004 darekr <darekr@pld-linux.org> c25047a
- updated to 1.2.2, BR: python-modules

* Sat Nov 27 2004 saq <saq@pld-linux.org> 4eab24b
- massive attack: added missing python-devel epoch do BR

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> e194a32
- update to 1.2.1

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> eb0a848
- removed %%include /usr/lib/rpm/macros.python

* Sat Jul 03 2004 Marcin Gajda <m.gajda@functional-software.com> cd580c6
- initial PLD release

